﻿/* Dialogs */

.dx-popup-normal.dx-popup-draggable.dx-resizable {
    padding: 1.5rem 0.5rem 1.5rem 1.5rem;
}

html[dir="rtl"] .dx-popup-normal.dx-popup-draggable.dx-resizable {
    padding: 1.5rem 1.5rem 1.5rem 0.5rem;
}

.is-about-message-dialog .dx-popup-normal {
    padding: 1.5rem 0.5rem 1.5rem 1.5rem;
}

html[dir="rtl"] .is-about-message-dialog .dx-popup-normal {
    padding: 1.5rem 1.5rem 1.5rem 0.5rem;
}

.dx-popup-title .dx-closebutton {
    margin-inline-end: 1rem;
}

.dx-popup-bottom.dx-toolbar {
    padding: 10px 1.5rem 10px 10px;
}

.ds-cell-tagBox .dx-popup-bottom.dx-toolbar {
    padding: unset;
}

html[dir="rtl"] .dx-popup-bottom.dx-toolbar {
    padding: 10px 10px 10px 1.5rem;
}

/*.dx-popup-normal .viewpanel {
    height: 100%;
}*/

.dx-popup-title {
    border: 0;
    margin-block-end: 0.5rem;
}

    .dx-popup-title.dx-toolbar .dx-toolbar-label {
        font-size: var(--dlt-font-size-xxl,1.5rem);
    }

.dx-popup-bottom .dx-button {
    min-width: 80px;
    padding: 5px 8px;
}
/* #44001 */
/*.dx-popup-content .dx-scrollable-container .dx-scrollable-content {
    width: 100%;
}*/
.dx-tabs .dx-tabs-scrollable .dx-scrollable-content {
    width: auto;
}

    /*.dx-popup-content .dx-scrollable-container .dx-scrollable-content
    .dx-scrollview-content .dx-list-item-selected {
        background-color: var(--dlt-color-background-static-primary);
    }*/


/* About Dialog */

.dialog-content-container {
    display: flex;
    flex-direction: column;
    padding: 0 1rem 0 1rem;
    height: 100%;
}

.alfa-config-name,
.alfa-product-version {
    font-size: 22px;
    font-weight: var(--dlt-font-weight-medium,500);
}

.alfa-product-version {
    margin-block-end: 1rem;
}

.alfa-alias {
    margin-block-end: 1rem;
}

.alfa-about-details {
    white-space: break-spaces;
}

.alfabet-about-logo {
    margin-block: 1rem;
    height: 32px;
    align-self: flex-start;
}

/* Message Dialog */

.msg-content-wrapper {
    display: flex;
    margin-block-end: 1rem;
}

.msg-content {
    display: flex;
    flex-direction: column;
    width: 90%;
    height: 100%;
    overflow-wrap: break-word;
}

.msg-icon {
    font-size: var(--dlt-font-size-lg);
    margin-inline-end: 1rem;
}

.msg-text, .msg-details {
    white-space: pre-line;
}

.msg-conclusion-text {
    font-weight: var(--dlt-font-weight-medium,500);
    margin-inline-start: 2.25rem;
}


/* Scrolling Common */

/* PLAN-32516, PLAN-32681 */
.dx-scrollable-content,
.dx-scrollview-content {
    height: 100%;
}

/* PLAN-32681 */
.dx-scrollable-native.dx-scrollable-native-generic .dx-scrollable-content {
    height: 100%;
}

/* Scrolling Common end */

/* Scrolling in dialogs */

.edit-dialog-popup .dx-popup-normal .dx-popup-content > .dx-scrollable > .dx-scrollable-wrapper > .dx-scrollable-container > .dx-scrollable-content,
.sub-view-popup:not(.event-notification-box-popup):not(.legend-popup) .dx-popup-normal .dx-popup-content > .dx-scrollable > .dx-scrollable-wrapper > .dx-scrollable-container > .dx-scrollable-content {
    padding-inline-end: 1rem;
}

.edit-dialog-popup .dx-popup-normal .dx-popup-content > .dx-scrollable > .dx-scrollable-wrapper > .dx-scrollable-container > .dx-scrollable-content {
    width: 100%;
}

html[dir="rtl"] .edit-dialog-popup .dx-popup-normal .dx-popup-content > .dx-scrollable > .dx-scrollable-wrapper > .dx-scrollable-container > .dx-scrollable-content,
html[dir="rtl"] .sub-view-popup:not(.event-notification-box-popup) .dx-popup-normal .dx-popup-content > .dx-scrollable > .dx-scrollable-wrapper > .dx-scrollable-container > .dx-scrollable-content {
    padding-inline-start: 1rem;
    padding-inline-end: unset;
}

/* Scrolling in dialogs end */
/*BUG-42814 Partners Licences*/
.partner-licence-text {
    font-size: medium;
    font-weight: 500;
}
.partners-image-text {
    display: flex;
    align-items: center;
}
.dialog-about-logo {
    max-width: 100%
}